---
title: contributing
subtitle: how to help out
author: cark
date: 2021-04-06
---

This wiki is just a bunch of markdown files that are compiled into html via pandoc using a [makefile](https://tildegit.org/southlondon/site/src/branch/main/wiki/Makefile) i stole from [ben of tilde.team](https://tilde.team/~ben/) (sorry). If you want, you too can write some wiki pages. 

To start off, you'll need to have `pandoc`, `make` and `git` installed. Once you've got all that, you'll need to fork [the repo](https://tildegit.org/southlondon/site) on tildegit, and clone it to your home directory (or somewhere on your computer):
```
git clone git@tildegit.org:lp0/site.git
```
Now `cd` into it, make your changes and commit.
```
$ cd site/wiki
$ emacs contribute.md
...
$ git add contribute.md
$ git commit -m "h"
[main dda1f89] h
 1 file changed, 5 insertions(+), 4 deletions(-)
$ git push
...
```
To see how your changes will look on the actual site, just run `make` and open up an http server (like the one built into python):
```
$ make

building xmpp.html
building login.html
building meta.html
building ssh.html
building index.html
building contribute.html
finished updating

$ python3 -m http.server
Serving HTTP on 0.0.0.0 port 8000 (http://0.0.0.0:8000/) ...
```
to clear out the files generated, just do `make clean`:
```
$ make clean
removing build artifacts
```
now just make a pr and it'll get reviewed by someone (probably me) fairly quickly.